After Jailbreakme 3.0 was released for iPad 2 users, not soon but after a week or two Apple released an update to fix the iPad 2 Jailbreak with the software update of iOS 4.3.4. This update only fixed Comex exploit and no major changes were made. Soon after the release of iOS 4.3.4 Apple released iOS 4.3.5 which fixed the SSL vulnerability known as CVE-2011-0228. This security update was left by Apple and they fixed in their iOS 4.3.5.

Remember updating to iOS 4.3.4 and iOS 4.3.5 is not necessary and was never recommended. Now you must be thinking about the bug left by Apple will screw your iPhone if you don’t update?

Well if you are thinking that so leave that to the Jailbreaking community as usual. This issue has been solved by @0naj. Today he released a Cydia Tweak called isslfix in Cydia to fix the vulnerability which is mentioned above.

Today he Tweeted that:

Homebrew fix for iOS SSL vulnerability, available on Cydia :

To know more about this CVE-2011-0228 you can visit here.

To install this App follow the guide below:


You must jailbreak your iDevice in order to follow the procedure.


Open Cydia and search for issl in Cydia. This must be under bigboss repo.

Once you find the Tweak install it and it when you are done, it will say you to reboot.


Now this step is to ensure you that you are now protected.

Open this Website from your iPhone/iPod/iPad/iPad 2.

Open this website with the same url including “HTTPS”.

If you see the page without getting Error like this, so you aren’t secure.

If you get a warning like this:

Now you are safe from the vulnerability.More information about this Tweak is available on jan0 github.

Remember this tweak is only for the firmware which are below than iOS 4.3.5 because this issue has been fixed in iOS 4.3.5 and the upcoming iOS 5.